activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "C. Allain" <call...@conceptum.ca>
Subject Re: Question about ActiveMQ 5.3.0 maven dependencies
Date Fri, 12 Feb 2010 13:20:52 GMT

Done: https://issues.apache.org/activemq/browse/AMQ-2603

Thanks.


Gary Tully wrote:
> 
> This is still the situation on trunk. Can you raise a jira issue to track
> this?
> We should exclude the activeio transitive dependency or update to the
> 1.0.1
> version for activemq.
> 
> I have not seen any report of the jars clashing or causing problems,
> either
> they are compatible or the activeio management dependency is not called on
> at runtime if a journaled persistence adapter is used.
> 
> On 12 February 2010 01:54, C. Allain <callain@conceptum.ca> wrote:
> 
>>
>> When I run maven for a dependency:tree of activemq-core-5.3.0, I get
>> this:
>>
>> [INFO] \- org.apache.activemq:activemq-core:jar:5.3.0:compile
>> [INFO]    +- commons-logging:commons-logging-api:jar:1.1:compile
>> [INFO]    +-
>> org.apache.geronimo.specs:geronimo-jms_1.1_spec:jar:1.1.1:compile
>> [INFO]    +- org.apache.activemq:activeio-core:jar:3.1.2:compile
>> [INFO]    |  +-
>>
>> org.apache.geronimo.specs:geronimo-j2ee-management_1.1_spec:jar:1.0.1:compile
>> [INFO]    |  \- commons-logging:commons-logging:jar:1.1:compile
>> [INFO]    |     +- log4j:log4j:jar:1.2.12:compile
>> [INFO]    |     +- logkit:logkit:jar:1.0.1:compile
>> [INFO]    |     +- avalon-framework:avalon-framework:jar:4.1.3:compile
>> [INFO]    |     \- javax.servlet:servlet-api:jar:2.3:compile
>> [INFO]    +- org.apache.activemq:kahadb:jar:5.3.0:compile
>> [INFO]    +-
>> org.apache.activemq.protobuf:activemq-protobuf:jar:1.0:compile
>> [INFO]    +-
>> org.apache.geronimo.specs:geronimo-j2ee-management_1.0_spec:jar:1.0:compile
>> [INFO]    +- org.springframework:spring-context:jar:2.5.6:compile
>> [INFO]    |  +- aopalliance:aopalliance:jar:1.0:compile
>> [INFO]    |  +- org.springframework:spring-beans:jar:2.5.6:compile
>> [INFO]    |  \- org.springframework:spring-core:jar:2.5.6:compile
>> [INFO]    \- commons-net:commons-net:jar:2.0:compile
>>
>> Now, I am wondering about the two jars:
>>
>> geronimo-j2ee-management_1.0_spec:jar:1.0
>> geronimo-j2ee-management_1.1_spec:jar:1.0.1
>>
>> Don't they overlap/conflict?
>>
>> --
>> View this message in context:
>> http://old.nabble.com/Question-about-ActiveMQ-5.3.0-maven-dependencies-tp27556755p27556755.html
>> Sent from the ActiveMQ - User mailing list archive at Nabble.com.
>>
>>
> 
> 
> -- 
> http://blog.garytully.com
> 
> Open Source Integration
> http://fusesource.com
> 
> 

-- 
View this message in context: http://old.nabble.com/Question-about-ActiveMQ-5.3.0-maven-dependencies-tp27556755p27563480.html
Sent from the ActiveMQ - User mailing list archive at Nabble.com.


Mime
View raw message